# -*- rpm-spec -*-

%def_disable static

%define major 3.4

Name: ksi
Version: %major.2
Release: alt1

Summary: KSI - Ksi Scheme Interpreter
License: BSD
Group: Development/Scheme
Url: http://ksi.sourceforge.net

Source0: %name.tar.bz2

Requires(post): %install_info
Requires(preun): %uninstall_info

BuildRequires: libgc-devel libpcre-devel libreadline-devel libtinfo-devel zlib-devel

%package devel
Summary: KSI - Ksi Scheme Interpreter, development files
Group: Development/C
Requires: %name = %version-%release

%description
KSI (Ksi Scheme Interpreter) is a portable,
embeddable Scheme implementation written in C.
Ksi provides a machine independent execution platform that
can be linked in as a library when building extensible programs.

%description devel
KSI (Ksi Scheme Interpreter) is a portable,
embeddable Scheme implementation written in C.
Ksi provides a machine independent execution platform that
can be linked in as a library when building extensible programs.

This package contains header files and libraries for
compiling against KSI library.

%prep
%setup -qc

%build
%__autoreconf
%configure --enable-maintainer-mode %{subst_enable static}
%make_build

%install 
%makeinstall
ln -sf ../../../%_lib/ksi/libzip.so.0 %buildroot%_datadir/ksi/%major/zip.so
ln -sf ../../../%_lib/ksi/libregexp.so.1 %buildroot%_datadir/ksi/%major/regexp.so

%post
%post_ldconfig
%install_info ksi{,-lang,-lib}.info

%postun
%postun_ldconfig
%uninstall_info ksi{,-lang,-lib}.info

%files
%doc AUTHORS COPYING NEWS README TODO ChangeLog
%_bindir/ksi
%_bindir/ksi-compile
%_libdir/libksi.so.*
%dir %_libdir/ksi
%_libdir/ksi/libregexp.so.*
%_libdir/ksi/libzip.so.*
%_datadir/ksi
%_infodir/ksi-lang.info*
%_infodir/ksi-lib.info*
%_infodir/ksi.info*

%files devel
%_bindir/ksi-config
%_libdir/libksi.so
%_includedir/ksi
%_libdir/ksi/libregexp.so
%_libdir/ksi/libzip.so

%changelog
* Tue Oct 10 2006 Sergey Bolshakov <sbolshakov@altlinux.ru> 3.4.2-alt1
- rebuilt in new env

* Tue Dec 27 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 3.4.2-alt0.1
- first attempt
